Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.view
Class EMFDataOutputView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.view.nonvis.NonGraphicView
              org.ascape.view.nonvis.DataView
                  org.eclipse.amp.escape.view.EMFDataOutputView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.ascape.model.event.ScapeListener, org.ascape.util.HasName

    public class EMFDataOutputView

extends org.ascape.view.nonvis.DataView

Author:
  mparker
See Also:
  Serialized Form

Field Summary
`static org.eclipse.core.runtime.IPath` | `RESULTS_FOLDER`

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`EMFDataOutputView(org.eclipse.core.resources.IResource resource, SContext model)`

Method Summary
`void` | `scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeIterated(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeStarted(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeStopped(org.ascape.model.event.ScapeEvent scapeEvent)`

Methods inherited from class org.ascape.view.nonvis.DataView
`getDataSelection`

Methods inherited from class org.ascape.view.nonvis.NonGraphicView
`isGraphic`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getName, getScape, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeNotification, scapeRemoved, scapeSetup, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESULTS_FOLDER

    public static final org.eclipse.core.runtime.IPath RESULTS_FOLDER

Constructor Detail

### EMFDataOutputView

    public EMFDataOutputView(org.eclipse.core.resources.IResource resource,
                             SContext model)

Method Detail

### scapeAdded

    public void scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Specified by:
    `scapeAdded` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeAdded` in class `org.ascape.view.nonvis.DataView`
  Parameters:
    `scapeEvent` -
  Throws:
    `java.util.TooManyListenersException`
  See Also:
    `DataView.scapeAdded(org.ascape.model.event.ScapeEvent)`

### scapeStarted

    public void scapeStarted(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeStarted` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeStarted` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStarted(org.ascape.model.event.ScapeEvent)`

### scapeIterated

    public void scapeIterated(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeIterated` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeIterated` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeIterated(org.ascape.model.event.ScapeEvent)`

### scapeStopped

    public void scapeStopped(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeStopped` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeStopped` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStopped(org.ascape.model.event.ScapeEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD